XmParseMappingCreate(library call)

NAME
XmParseMappingCreate — A compound string function to create a parse mapping

SYNOPSIS

#include <Xm/Xm.h>
XmParseMapping XmParseMappingCreate(
ArgList arglist,
Cardinal argcount);

DESCRIPTION

XmParseMappingCreate creates a parse mapping for use in a parse table. This function allows the application to specify values for components of the parse mapping using a resource-style argument list.

arglist
    Specifies the argument list

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist)

For a complete definition of XmParseMapping and its associated resources, see XmParseMapping(3).

RETURN

Returns the XmParseMapping object. The function allocates space to hold the returned XmParseMapping object. The application is responsible for managing the allocated space. The application can recover the allocated space by calling XmParseMappingFree.

RELATED

XmParseMapping(3), XmParseMappingFree(3), XmParseMappingGetValues(3), XmParseMappingSetValues(3), XmParseTable(3), and XmString(3).